Bug 31707 - HTMLManager App doesn't confirm before undeploying or stopping app.
HTMLManager App doesn't confirm before undeploying or stopping app.
Status: CLOSED FIXED
Product: Tomcat 5
Classification: Unclassified
Component: Webapps:Manager
Nightly Build
All All
: P3 normal (vote)
: ---
Assigned To: Tomcat Developers Mailing List
:
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2004-10-13 18:51 UTC by Ben Souther
Modified: 2004-11-16 19:05 UTC (History)
0 users



Attachments
Patch to correct quote escaping in HTMLManagerServlet.java (1.85 KB, patch)
2004-10-13 18:53 UTC, Ben Souther
Details | Diff
Same patch for 5.0.29 (1.87 KB, patch)
2004-10-13 20:58 UTC, Ben Souther
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ben Souther 2004-10-13 18:51:00 UTC
HTMLManager App doesn't confirm before undeploying or stopping app.

This is due to improperly escaped single quotes in string literal which result
in no quotes in the resulting Javascript on the page.

Submitting patch.
Comment 1 Yoav Shapira 2004-10-13 18:52:32 UTC
Are you really running against nightly build?  If so a nightly build of the 5.5 
or 5.0 codebase?  I thought I already fixed this for 5.0.29 and 5.5.3.
Comment 2 Ben Souther 2004-10-13 18:53:07 UTC
Created attachment 13079 [details]
Patch to correct quote escaping in HTMLManagerServlet.java
Comment 3 Ben Souther 2004-10-13 18:55:20 UTC
I used the build.xml script from:
http://jakarta.apache.org/tomcat/tomcat-5.5-doc/build.xml
just a few minutes ago.
Comment 4 Yoav Shapira 2004-10-13 18:59:09 UTC
OK, cool.  I assume you built with and tested your patch?
Comment 5 Ben Souther 2004-10-13 19:10:40 UTC
I did.

It looks like you doubled up the single quotes which didn't work for that
formatter.  Tripling them did the trick.

Comment 6 Yoav Shapira 2004-10-13 19:15:38 UTC
Cool.  Thanks for following up.
Comment 7 Ben Souther 2004-10-13 20:58:55 UTC
Created attachment 13081 [details]
Same patch for 5.0.29
Comment 8 Yoav Shapira 2004-10-14 17:29:01 UTC
OK, fixed.  Thank you.
Comment 9 Ben Souther 2004-10-14 23:30:05 UTC
Who closes these?
The reporter?
or a committer?